#### D.4.33.5 algebraicDependence

Procedure from library `sagbi.lib` (see sagbi_lib).

Usage:
  algebraicDependence(I,it); I an an ideal, it is an integer

Return:
  ring

Assume:
  basering is not a qring

Purpose:
  Returns a ring containing the ideal `algDep`, which contains possibly
  some algebraic dependencies of the elements of I obtained through `it`
  iterations of the SAGBI construction algorithms. See the example on how
  to access these objects.

Example:

    LIB "sagbi.lib";
    ring r= 0,(x,y),dp;
    //The following algebra does not have a finite SAGBI basis.
    ideal I=x^2, xy-y2, xy2;
    //---------------------------------------------------
    //Call with two iterations
    def DI = algebraicDependence(I,2);
    ==> //AlgDep-1- initialisation and precomputation
    ==> //AlgDep-2- call of SAGBI construction algorithm
    ==> //SAGBI construction algorithm stopped as it reached the limit of 2 itera\
       tions.
    ==> //In general the returned generators are no SAGBI basis for the given alg\
       ebra.
    ==> //AlgDep-3- postprocessing of results
    setring DI; algDep;
    ==> algDep[1]=0
    // we see that no dependency has been seen so far
    //---------------------------------------------------
    //Call with two iterations
    setring r; kill DI;
    def DI = algebraicDependence(I,3);
    ==> //AlgDep-1- initialisation and precomputation
    ==> //AlgDep-2- call of SAGBI construction algorithm
    ==> //SAGBI construction algorithm stopped as it reached the limit of 3 itera\
       tions.
    ==> //In general the returned generators are no SAGBI basis for the given alg\
       ebra.
    ==> //AlgDep-3- postprocessing of results
    setring DI; algDep;
    ==> algDep[1]=0
    map F = DI,x,y,x^2, xy-y2, xy2;
    F(algDep); // we see that it is a dependence indeed
    ==> _[1]=0

User manual for Singular version 4.4.1, 2025, generated by texi2html.